Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding
[Java] Class DatabindingApi

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.DatabindingApi

    public class DatabindingApi
    extends java.lang.Object

Method Summary
`java.util.Map` | `getProperties(java.lang.Object instance)` Returns a map of the objects properties that can be used to during binding to bind a subset of properties
`org.springframework.validation.BindingResult` | `setProperties(java.lang.Object instance, java.lang.Object bindingSource)` Binds the source object to the properties of the target instance converting any types as necessary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getProperties

    public java.util.Map getProperties(java.lang.Object instance)

  Returns a map of the objects properties that can be used to during binding to bind a subset of properties
  Parameters:
    `instance` - The instance
  Returns:
    An instance of DataBindingLazyMetaPropertyMap

### setProperties

    public org.springframework.validation.BindingResult setProperties(java.lang.Object instance, java.lang.Object bindingSource)

  Binds the source object to the properties of the target instance converting any types as necessary
  Parameters:
    `instance` - The instance
    `bindingSource` - The binding source
  Returns:
    The BindingResult

Groovy Documentation